<?php

namespace Superrobota\Benefit;

use User;

class Benefit
{
    /**
     * $benefit object.
     */
    protected $benefit;

    /**
     * Constructor.
     */
    public function __construct(\Superrobota\Benefit\Interfaces\BenefitRepositoryInterface $benefit)
    {
        $this->benefit = $benefit;
    }

    /**
     * Returns count of benefit.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.benefit.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->benefit->pushCriteria(new \Litepie\Superrobota\Repositories\Criteria\BenefitUserCriteria());
        }

        $benefit = $this->benefit->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('benefit::' . $view, compact('benefit'))->render();
    }
}
