<?php

namespace Superrobota\Benefit\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BenefitTransformer extends TransformerAbstract
{
    public function transform(\Superrobota\Benefit\Models\Benefit $benefit)
    {
        return [
            'id'                => $benefit->getRouteKey(),
            'key'               => [
                'public'    => $benefit->getPublicKey(),
                'route'     => $benefit->getRouteKey(),
            ], 
            'name'              => $benefit->name,
            'url'               => [
                'public'    => trans_url('benefit/'.$benefit->getPublicKey()),
                'user'      => guard_url('benefit/benefit/'.$benefit->getRouteKey()),
            ], 
            'status'            => trans('app.'.$benefit->status),
            'created_at'        => format_date($benefit->created_at),
            'updated_at'        => format_date($benefit->updated_at),
        ];
    }
}